## org.eclipse.amp.agf.gef
Class GEFViewPart

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.ViewPart
                  org.eclipse.amp.axf.view.ModelViewPart
                      org.eclipse.amp.agf.gef.AGFViewPart
                          org.eclipse.amp.agf.gef.EditPartViewPart
                              org.eclipse.amp.agf.gef.GEFViewPart

All Implemented Interfaces:
  java.util.EventListener, IModelPart, org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.jface.util.IPropertyChangeListener, org.eclipse.ui.IPersistable, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class GEFViewPart

extends EditPartViewPart

Field Summary

Fields inherited from class org.eclipse.amp.agf.gef.EditPartViewPart
`ZOOM_LEVELS`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`GEFViewPart()`

Method Summary
`void` `createPartControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.gef.RootEditPart` `createRoot()`
`java.lang.String` `getZoomFit()`
`void` `setInput(org.eclipse.ui.IEditorInput input)` Sets the input.
`void` `setZoomFit(java.lang.String zoomFit)`

Methods inherited from class org.eclipse.amp.agf.gef.EditPartViewPart
`createModelListeners, getAdapter, getEditPart, getRootEditPart, getRootListener, getViewer, getZoomer`

Methods inherited from class org.eclipse.amp.agf.gef.AGFViewPart
`createSelectionSynchronizer, dispose`

Methods inherited from class org.eclipse.amp.axf.view.ModelViewPart
`addModelListener, getModel, getModelListeners, getName, getPropertySheetPage, isSingle, propertyChange, removeModelListener, setFocus, setModel, setPartName`

Methods inherited from class org.eclipse.ui.part.ViewPart
`getViewSite, init, init, saveState, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Constructor Detail

### GEFViewPart

    public GEFViewPart()

Method Detail

### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `createPartControl` in class `EditPartViewPart`
  See Also:
    `ModelViewPart.createPartControl(org.eclipse.swt.widgets.Composite)`

### createRoot

    public org.eclipse.gef.RootEditPart createRoot()

  Specified by:
    `createRoot` in class `EditPartViewPart`

### setInput

    public void setInput(org.eclipse.ui.IEditorInput input)

  Description copied from class: `ModelViewPart`
  Sets the input.

  Overrides:
    `setInput` in class `EditPartViewPart`
  Parameters:
    `input` - the new input

### getZoomFit

    public java.lang.String getZoomFit()

### setZoomFit

    public void setZoomFit(java.lang.String zoomFit)